simmcpot {POT} | R Documentation

## Simulate an Markov Chain with a Fixed Extreme Value Dependence from a Fitted mcpot Object

### Description

Simulate a synthetic Markov chain from a fitted `'mcpot'` object.

### Usage

    simmcpot(fitted, plot = TRUE, ...)

### Arguments

`fitted` | An object of class `'mcpot'`; most often the returned object of the `fitmcgpd` function.
`plot` | Logical. If `TRUE` (the default), the simulated Markov chain is plotted.
`...` | Other optional arguments to be passed to the `plot` function.

### Details

The simulated Markov chain is computed as follows:

1. Simulate a Markov chain `prob` with uniform margins on (0,1) and with the fixed extreme value dependence given by `fitted`;

2. For all `prob` such as prob <= 1 - pat, set mc = NA (where `pat` is given by `fitted$pat`);

3. For all `prob` such as prob >= 1 - pat, set prob2 = (prob - 1 + pat) / pat. Thus, `prob2` are uniformly distributed on (0,1);

4. For all `prob2`, set `mc = qgpd(prob2, thresh, scale, shape)`, where `thresh, scale, shape` are given by the `fitted$threshold, fitted$param["scale"]` and `fitted$param["shape"]` respectively.

### Value

A Markov chain which has the same features as the fitted object. If `plot = TRUE`, the Markov chain is plotted.

### Author(s)

Mathieu Ribatet

### See Also

`fitmcgpd`, `simmc`

### Examples

    data(ardieres)
    flows <- ardieres[,"obs"]

    Mclog <- fitmcgpd(flows, 5)
    par(mfrow = c(1,2))
    idx <- which(flows <= 5)
    flows[idx] <- NA
    plot(flows, main = "Ardieres Data")
    flowsSynth <- simmcpot(Mclog, main = "Simulated Data")

[Package POT version 1.1-7 Index]